org.apache.pdfbox.preflight.process.reflect

## Class ShadingPatternValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.reflect.ShadingPatternValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class ShadingPatternValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`ShadingPatternValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkColorSpace(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page, org.apache.pdfbox.pdmodel.graphics.shading.PDShading shadingRes)` Checks if the ColorSapce entry is consistent which rules of the PDF Reference and the ISO 190005-1:2005 Specification.
`protected void` `checkGraphicState(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page, org.apache.pdfbox.pdmodel.graphics.shading.PDShading shadingRes)` Check the Extended Graphic State contains in the ShadingPattern dictionary if it is present.
`void` `validate(PreflightContext context)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShadingPatternValidationProcess

    public ShadingPatternValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext context)
                  throws ValidationException

Throws:
  `ValidationException`

#### checkColorSpace

    protected void checkColorSpace(PreflightContext context,
                                   org.apache.pdfbox.pdmodel.PDPage page,
                                   org.apache.pdfbox.pdmodel.graphics.shading.PDShading shadingRes)
                            throws ValidationException

Checks if the ColorSapce entry is consistent which rules of the PDF Reference and the ISO 190005-1:2005 Specification. This method is called by the validate method.

Parameters:
  `context` - the preflight context.
  `page` - the page to check.
  `shadingRes` - the Shading pattern to check.
Throws:
  `ValidationException`

#### checkGraphicState

    protected void checkGraphicState(PreflightContext context,
                                     org.apache.pdfbox.pdmodel.PDPage page,
                                     org.apache.pdfbox.pdmodel.graphics.shading.PDShading shadingRes)
                              throws ValidationException

Check the Extended Graphic State contains in the ShadingPattern dictionary if it is present. To check this ExtGState, this method uses the org.apache.pdfbox.preflight.graphic.ExtGStateContainer object.

Parameters:
  `context` - the preflight context.
  `page` - the page to check.
  `shadingRes` - the Shading pattern to check.
Throws:
  `ValidationException`